ContentTranslation is not running PHPUnit structure tests
Closed, ResolvedPublic1 Story Points

Description

Would have prevented T109659: paraminfo for contenttranslationlist is broken on beta wikis from happening. UBN because not having this has caused UBNs.

Legoktm created this task.Aug 20 2015, 12:57 AM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Unbreak Now!.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 12:57 AM
jayvdb added a subscriber: jayvdb.Aug 20 2015, 1:00 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 2 board.Aug 20 2015, 8:23 AM
Arrbee lowered the priority of this task from Unbreak Now! to High.
Arrbee raised the priority of this task from High to Unbreak Now!.
KartikMistry added a comment.EditedAug 20 2015, 2:29 PM

Any hints on what is missing in zuul/layout.yaml would be appreciated.

Change 232749 had a related patch set uploaded (by KartikMistry):
Add extension-gate checks for ContentTranslation

https://gerrit.wikimedia.org/r/232749

Change 232749 merged by jenkins-bot:
Add PHPUnit tests for ContentTranslation

https://gerrit.wikimedia.org/r/232749

Tests enabled. Currently failing (https://integration.wikimedia.org/ci/job/mwext-testextension-zend/6817/console) due to:

18:28:33 1) ResourcesTest::testMissingDependencies
18:28:33 The module 'wikibase.api.RepoApi' required by 'ext.cx.wikibase.link' must exist
18:28:33 Failed asserting that an array contains 'wikibase.api.RepoApi'.

Is Wikibase a dependency? It's not listed on https://www.mediawiki.org/wiki/Extension:ContentTranslation#Extension_dependencies

I just copied the dependencies from the qunit job, which is EventLogging and ULS.

Change 232837 had a related patch set uploaded (by Legoktm):
Add Wikidata as a dependency for ContentTranslation

https://gerrit.wikimedia.org/r/232837

Change 232837 merged by jenkins-bot:
Add Wikidata as a dependency for ContentTranslation

https://gerrit.wikimedia.org/r/232837

KartikMistry moved this task from In Review to Done on the LE-CX6-Sprint 2 board.Aug 21 2015, 3:59 AM
Amire80 edited a custom field.Aug 25 2015, 5:04 PM